TiffProfileExifThumb (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffProfileExifThumb

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffProfileExifThumb

    public class TiffProfileExifThumb

extends TiffProfile

Profile checker for the thumbnail IFD of a TIFF file potentially meeting the TIFF profile. This doesn't go into the _profiles list of TiffIFD, but rather is one of two (or more?) profiles that must be checked to determine if the file meets the Exif profile. It should be called only for the "thumbnail" IFD, which is the second top-level IFD.

Author:
  Gary McGath
See Also:
  `TiffProfileExif`

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffProfileExifThumb()`

Method Summary
`boolean` | `satisfiesThisProfile(IFD ifd)` Returns true if the IFD satisfies the requirements of a thumbnail IFD for an Exif profile.
`void` | `setMainCompression(int comp)` Record the compression scheme of the main IFD; required for comparison.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffProfileExifThumb

    public TiffProfileExifThumb()

Method Detail

### setMainCompression

    public void setMainCompression(int comp)

  Record the compression scheme of the main IFD; required for comparison.

### satisfiesThisProfile

    public boolean satisfiesThisProfile(IFD ifd)

  Returns true if the IFD satisfies the requirements of a thumbnail IFD for an Exif profile. See the Exif specification for details.

  Specified by:
    `satisfiesThisProfile` in class `TiffProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD